function out=GcTmCmd(cmd,par1)
% GcTmCmd(cmd,par1)
%

%Get file and path from figure
hd=findobj(gcf,'tag','directory');
myPath=get(hd,'string');
hf=findobj(gcf,'tag','filename');
myFile=get(hf,'string');

switch cmd
    case 'file'
        GcTmCmd('status','Select file');
        [newFile,newPath]=uigetfile([myPath '\*.csv'],'Location',[200,300]);
        if ischar(newFile),
            set(hf,'string',newFile);
            set(hd,'string',newPath);
            GcTmCmd('status','Found file');
            set(gcf,'userdata',[]);
        else
            GcTmCmd('status','Can not find file');
        end
        
        
    case 'run'
        GcTmCmd('status','Processing data');
        GcTmMain(myFile,myPath);

    case 'runall'
        files=dir([myPath '*.csv']);
        N=length(files);
        for i=1:N,
            set(hf,'string',files(i).name);
            GcTmMain(files(i).name,myPath);
        end
        GcTmCmd('status','Done');

    case 'limit'
        figure(3)
        hs=findobj(gcf,'tag','limit');
        out=str2num(get(hs,'String'));
        
    case 'status'
        figure(3)
        hs=findobj(gcf,'tag','status');
        set(hs,'String',par1);
        pause(0.001); %need time to display text in box

    case 'plotmesh'
        figure(3)
        data=get(gcf,'userdata');
        if ~isempty(data),
            plotMesh(data);
        else
            GcTmCmd('status','No data');
        end

    case 'plotwell'
        figure(3)
        GcTmCmd('status','');
        hs=findobj(gcf,'tag','wellnr');
        wellNr=str2double(get(hs,'String'));
        data=get(gcf,'userdata');
        if isnan(wellNr)|| wellNr<1 || wellNr>data(1).wellMax, return; end
        if ~isempty(data),
            nList=find(wellNr==data(1).wellNr);
            if isempty(nList),
                GcTmCmd('status','No input data for well');
                plotSybr(wellNr);
                plotTamra(wellNr);
            else
                temp=data(1).temperature;
                sybr=data(1).derivativeData(nList,:);
                dataData=data(1).data(nList,:);
                n=data(1).n(nList,:);
                nStr=data(1).nStr;
                param=data(1).param(nList,:);
                plotSybr(wellNr,temp,sybr,dataData,n,nStr,param);
                if ~isempty(data(2).type),
                    temp=data(2).temperature;
                    tamra=data(2).derivativeData(nList,:);
                    dataData=data(1).data(nList,:);
                    n=data(2).n(nList,:);
                    nStr=data(2).nStr;
                    param=data(2).param(nList,:);
                    plotTamra(wellNr,temp,tamra,dataData,n,nStr,param);
                else
                    plotTamra('');
                end
            end
            plotMesh(data,4);
        else
            GcTmCmd('status','No data');
        end

    case 'getwell'
        hs=findobj('tag','wellnr');
        out=str2num(get(hs,'String'));
        
    case {'plotwell<','plotwell>'}
        figure(3)
        data=get(gcf,'userdata');
        hs=findobj(gcf,'tag','wellnr');
        nr=str2num(get(hs,'String')); if isnan(nr), return; end
        if cmd(end)=='>',
            if nr<data(1).wellMax, set(hs,'String',int2str(nr+1)); end
        else
            if nr>1, set(hs,'String',int2str(nr-1)); end
        end            
        GcTmCmd('plotwell');
        
    case 'end'
        close all
end
