function [data,n,nStr,params]=GcTmTamra(wellNr, temp, tamra, n, nStr)
%
% [data,n,nStr,params]=GcTmTamra(wellNr, temp, tamra, n, nStr)
%

[Nwell, NT]=size(tamra);
data=zeros(Nwell,2);
params=zeros(Nwell,5);

% Check each well
for i = 1:Nwell,
    if ~all(n(i,:)==0),
        tempPeak = temp(n(i,4):end);
        tamraPeak = tamra(i,n(i,4):end);
        options = optimset('Display', 'off');
        param =m_paramInti(tempPeak,tamraPeak);
        param=lsqcurvefit(@gausfn, param, tempPeak, tamraPeak,[],[], options);
        [tempPeakMin, tamraPeakMin] = fminsearch(@(x) gausfn(param,x),param(2), options);
        params(i,:)=param;
        data(i,:)=[tempPeakMin tamraPeakMin];

        if rem(i,5)==0,
            % update progress
            GcTmCmd('status',['TAMRA well ' int2str(i)]);
        end
    end
% for debug   plotTamra(temp,tamra(i,:),data(i,:),n(i,:),nStr,params(i,:));
end

function param=m_paramInti(x,y);
% Tamra negative Gause function 
d=0;
%e=min(y);
e=max(y);
pdf=y-e;
%a=max(pdf);
a=min(pdf);
pdf=pdf/sum(pdf);
b=sum(pdf.*x);
v= sum(pdf.*(x-b).^2);
c=sqrt(v);
param =[a,b,c,d,e];



