function plotMesh(data, plotfig)
%
% plotMesh(data, plotfig)
%

if nargin<2, plotfig=1; end

if isempty(data(2).type),
    plotMeshSybr(data, plotfig);
    return;
end

nr=GcTmCmd('getwell');

screen=get(0,'screenSize');
figPos=[
        0.05 0.51 0.45 0.4;
        0.51 0.51 0.45 0.4;
        0.05 0.1 0.45 0.36;
        0.51 0.1 0.45 0.3
        ];

figure(4)
% plot Tsybr(well) Ttamara(well) and Tsybr-Ttamra 
set(gcf,'pos',figPos(4,:).*[screen(3) screen(4) screen(3) screen(4)])

well=1:data(1).wellMax;
Tsybr=zeros(1,data(1).wellMax);
Tsybr(data(1).wellNr)=data(1).data(:,1);
Tsybr(Tsybr==0)=nan;
Ttamra=zeros(1,data(1).wellMax);
Ttamra(data(2).wellNr)=data(2).data(:,1);
Ttamra(Ttamra==0)=nan;
TTm=data(2).data(:,1);
TTmavg=mean(TTm(TTm~=0));
Tsybrtamraavgtamra=zeros(1,data(1).wellMax);
Tsybrtamraavgtamra(data(2).wellNr)=data(1).data(:,1)-data(2).data(:,1)+TTmavg;
Tsybrtamraavgtamra(Tsybrtamraavgtamra==TTmavg)=nan;
Tsybrtamraavgtamra(Tsybrtamraavgtamra==0)=nan;

subplot(2,1,1);
%plot(well,Tsybr,well,Ttamra);
plot(well,Tsybr);
hold on
%plot(well(nr),Ttamra(nr),'o')
plot(well(nr),Tsybr(nr),'x')
%title('Ttamara(o) and Tsybr(x)')
title('Tm SYBR')
hold off
subplot(2,1,2);
%plot(well,Ttamra-Tsybr,well(nr),Ttamra(nr)-Tsybr(nr),'or');
plot(well,Tsybrtamraavgtamra,well(nr),Tsybrtamraavgtamra(nr),'or');
xlabel('Well number')
title('Corrected Tm')

if plotfig==4, return; end

%Convert from list to mesh
probeSybr=zeros(data(1).meshRow,data(1).meshCol);
probeTamra=zeros(data(2).meshRow,data(2).meshCol);
probeTsybrtamraavgtamra=zeros(data(2).meshRow,data(2).meshCol);
N=data(1).wellMax;
for i=1:N,
    y=8-fix((i-1)/12);
    x=rem(i-1,12)+1;
    probeSybr(y,x)=Tsybr(i);
    probeTamra(y,x)=Ttamra(i);
    probeSybrtamraavgtamra(y,x)=Tsybrtamraavgtamra(i);
end
ynr=8-fix((nr-1)/12); xnr=rem(nr-1,12)+1;
%probeSybr(probeSybr==0)=nan;
%probeTamra(probeTamra==0)=nan;
% marker for test probTtamra(1,1)=0; probTtamra(1,4)=0; probTtamra(ene,end)=0; 

figure(1)
% mesh Tsybr and Ttamara 
set(gcf,'pos',figPos(1,:).*[screen(3) screen(4) screen(3) screen(4)])
mesh(probeSybr);
hold on
title('Tm SYBR')
%mesh(probeTamra);
%text(xnr,ynr,probeTamra(ynr,xnr),'o')
text(xnr,ynr,probeSybr(ynr,xnr),'x')
hold off
set(gca,'Ytick',[1 2 3 4 5 6 7 8]')
set(gca,'YtickLabel',['H' 'G' 'F' 'E' 'D' 'C' 'B' 'A']')
set(gca,'xlim',[1 data(1).meshCol],'ylim',[1 data(1).meshRow]);
%text(10,1,probeSybr(y,x),'SYBR');
%text(10,1,probeTamra(y,x),'Tamra');

figure(2)
% mesh Ttamara - Tsybr
set(gcf,'pos',figPos(2,:).*[screen(3) screen(4) screen(3) screen(4)])
%mesh(probeSybr-probeTamra);
mesh(probeSybrtamraavgtamra);
text(xnr,ynr,probeTamra(ynr,xnr)-probeSybr(ynr,xnr),'o')
title('Corrected Tm')
hold on
text(xnr,ynr,probeSybr(ynr,xnr),'x')
hold off
set(gca,'Ytick',[1 2 3 4 5 6 7 8]');
set(gca,'YtickLabel',['H' 'G' 'F' 'E' 'D' 'C' 'B' 'A']')
set(gca,'xlim',[1 data(2).meshCol],'ylim',[1 data(2).meshRow]);






