function plotSybr(wellNr,temp,sybr,data,n,nStr,param)
%
% plotSybr(wellNr,temp,sybr,data,n,nStr,param)
%

screen=get(0,'screenSize');
figPos=[
        0.05 0.51 0.45 0.4;
        0.51 0.51 0.45 0.4;
        0.05 0.1 0.45 0.36;
        0.51 0.1 0.45 0.3
        ];
figure(1)
set(gcf,'pos',figPos(1,:).*[screen(3) screen(4) screen(3) screen(4)])
title(['Well number ' int2str(wellNr)]);

if nargin<2,  
    cla; 
    title(['Well number ' int2str(wellNr)]);
    return; 
end

plot(temp,sybr,'--r');

if all(data==0), 
    % no curfitting
    return; 
end

hold on;

a=param(1); b=param(2); c=param(3); 

tfin=linspace(temp(n(1)),temp(n(2)),50);
sfin=gausfn(param,tfin);
plot(tfin,sfin,'b'); 
text(b,gausfn(param,b),'\leftarrowMax');

for i=1:length(n),
  text(temp(n(i)),sybr(n(i)),['\leftarrow' nStr(i,:)]);
end

% plot gause no background
tfin=linspace(temp(n(5)),temp(n(4)),50);
plot(tfin,gausfn([a b c 0 0],tfin));
plot(b+[-c c],a*[1 1]*exp(-0.5),'r');
text(b,a,'\leftarrowMax no background');
text(b+c,a*exp(-0.5),'\leftarrowWidth');
str='abcdef';
for i=1:5,
    text(0.1,1-0.07*i,[str(i) '=' num2str(param(i),5.2)],'units','norm');
end
hold off
